import { Common } from "./context-apis.common";
var ActivityTransitionReceiver = es.uji.geotec.contextapis.activityrecognition.ActivityTransitionReceiver;
var ActivityTransitionReceiverDelegate = es.uji.geotec.contextapis.activityrecognition.ActivityTransitionReceiverDelegate;
import { getAndroidActivityTransitionReceiver } from "./internal/activity-recognition/recognizers/low-res/android/receiver.android";
var ActivityUpdateReceiver = es.uji.geotec.contextapis.activityrecognition.ActivityUpdateReceiver;
var ActivityUpdateReceiverDelegate = es.uji.geotec.contextapis.activityrecognition.ActivityUpdateReceiverDelegate;
import { getAndroidActivityUpdateReceiver } from "./internal/activity-recognition/recognizers/medium-res/android/receiver.android";
var BootReceiver = es.uji.geotec.contextapis.BootReceiver;
var BootReceiverDelegate = es.uji.geotec.contextapis.BootReceiverDelegate;
import { getBootReceiver } from "./internal/activity-recognition/recognizers/boot-receiver.android";
export class ContextApis extends Common {
    async init() {
        this.wireUpNativeComponents();
        await super.init();
    }
    wireUpNativeComponents() {
        this.wireUpBootReceiver();
        this.wireUpActivityTransitionReceiver();
        this.wireUpActivityUpdateReceiver();
    }
    wireUpBootReceiver() {
        BootReceiver.setBootReceiverDelegate(new BootReceiverDelegate({
            onReceive: (context, intent) => getBootReceiver().onReceive(context, intent),
        }));
    }
    wireUpActivityTransitionReceiver() {
        ActivityTransitionReceiver.setActivityTransitionReceiverDelegate(new ActivityTransitionReceiverDelegate({
            onReceive: (context, intent) => getAndroidActivityTransitionReceiver().onReceive(context, intent),
        }));
    }
    wireUpActivityUpdateReceiver() {
        ActivityUpdateReceiver.setActivityUpdateReceiverDelegate(new ActivityUpdateReceiverDelegate({
            onReceive: (context, intent) => getAndroidActivityUpdateReceiver().onReceive(context, intent),
        }));
    }
}
export const contextApis = new ContextApis();
//# sourceMappingURL=context-apis.android.js.map