import { ActivityRecognizer, RecognitionCallback, StartOptions } from "./index";
import { Resolution } from "../index";
import { RecognizerStateStore } from "./state/store";
import { RecognizerManager } from "./recognizer-manager";
import { RecognizerCallbackManager } from "./callback-manager";
export declare abstract class AbstractActivityRecognizer implements ActivityRecognizer {
    protected recognizerType: Resolution;
    protected recognizerState: RecognizerStateStore;
    protected callbackManager: RecognizerCallbackManager;
    private recognitionManager;
    protected constructor(recognizerType: Resolution, recognizerState: RecognizerStateStore, callbackManager: RecognizerCallbackManager, recognitionManager: RecognizerManager);
    isReady(): boolean;
    prepare(): Promise<void>;
    setup(): Promise<void>;
    startRecognizing(options?: StartOptions): Promise<void>;
    stopRecognizing(): Promise<void>;
    listenActivityChanges(callback: RecognitionCallback): number;
    stopListening(listenerId?: number): void;
}
