import { getActivityRecognizer, Resolution } from "../index";
const recognizerTypes = [Resolution.LOW, Resolution.MEDIUM];
export class BootReceiver {
    onReceive(context, intent) {
        Promise.all(recognizerTypes.map((recognizerType) => getActivityRecognizer(recognizerType).setup())).catch((err) => {
            console.error(`An error occurred while setting up activity recognizers: ${err}`);
        });
    }
}
let _bootReceiver;
export function getBootReceiver() {
    if (!_bootReceiver) {
        _bootReceiver = new BootReceiver();
    }
    return _bootReceiver;
}
//# sourceMappingURL=boot-receiver.android.js.map