var ActivityTransitionResult = com.google.android.gms.location.ActivityTransitionResult;
import { getAndroidLowResRecognizer } from "./recognizer.android";
import { activityTypeToHumanActivity, transitionTypeToActivityTransition, elapsedRealtimeToDate, } from "../../utils.android";
export class AndroidActivityTransitionReceiver {
    onReceive(context, intent) {
        if (!ActivityTransitionResult.hasResult(intent)) {
            return;
        }
        const result = ActivityTransitionResult.extractResult(intent);
        const recognizer = getAndroidLowResRecognizer();
        const events = result.getTransitionEvents().toArray();
        for (let i = 0; i < events.length; i++) {
            const event = events[i];
            const activityChange = {
                type: activityTypeToHumanActivity(event.getActivityType()),
                transition: transitionTypeToActivityTransition(event.getTransitionType()),
                timestamp: elapsedRealtimeToDate(event.getElapsedRealTimeNanos()),
            };
            recognizer.onNewActivityChange(activityChange);
        }
    }
}
let _transitionReceiver;
export function getAndroidActivityTransitionReceiver() {
    if (!_transitionReceiver) {
        _transitionReceiver = new AndroidActivityTransitionReceiver();
    }
    return _transitionReceiver;
}
//# sourceMappingURL=receiver.android.js.map