import { AbstractActivityRecognizer } from "../../abstract-recognizer";
import { recognizersStateStoreDb, } from "../../state/store";
import { RecognizerCallbackManager } from "../../callback-manager";
import { Resolution } from "../../../index";
import { AndroidLowResRecognizerManager } from "./manager.android";
export class AndroidLowResRecognizer extends AbstractActivityRecognizer {
    constructor(recognizersState, callbackManager, recognitionManager) {
        super(Resolution.LOW, recognizersState, callbackManager, recognitionManager);
    }
    onNewActivityChange(activityChange) {
        this.callbackManager.notifyAll(activityChange);
    }
}
let _instance;
export function getAndroidLowResRecognizer() {
    if (!_instance) {
        _instance = new AndroidLowResRecognizer(recognizersStateStoreDb, new RecognizerCallbackManager(), new AndroidLowResRecognizerManager());
    }
    return _instance;
}
//# sourceMappingURL=recognizer.android.js.map