import { Location, isEnabled, enableLocationRequest, getCurrentLocation, watchLocation, clearWatch, } from "@nativescript/geolocation";
export { Location };
import { CoreTypes } from "@nativescript/core";
export const Accuracy = CoreTypes.Accuracy;
export class GeolocationAdapter {
    isReady() {
        return isEnabled();
    }
    prepare(always = false, openSettingsIfDenied = false) {
        return enableLocationRequest(always, openSettingsIfDenied);
    }
    acquireLocation(options) {
        return getCurrentLocation(options);
    }
    listenChanges(onChange, onError, options) {
        return watchLocation(onChange, onError, options);
    }
    stopListening(watchId) {
        clearWatch(watchId);
    }
}
//# sourceMappingURL=adapter.js.map